Overview | Modules | Class Hierarchy | Classes | Members

Namespaces | Functions
DrawingTools.h File Reference
`#include <vector>`
`#include <tulip/Coord.h>`
`#include <tulip/BoundingBox.h>`
`#include <tulip/Iterator.h>`
Include dependency graph for DrawingTools.h:

## Namespaces

- namespace tlp

## Functions

- TLP_SCOPE BoundingBox tlp::computeBoundingBox (const Graph *graph, const LayoutProperty *layout, const SizeProperty *size, const DoubleProperty *rotation, const BooleanProperty *selection=NULL)
- TLP_SCOPE BoundingBox tlp::computeBoundingBox (Iterator< node > *itN, Iterator< edge > *itE, const LayoutProperty *layout, const SizeProperty *size, const DoubleProperty *rotation, const BooleanProperty *selection=NULL)
- TLP_SCOPE std::pair< Coord, Coord > tlp::computeBoundingRadius (const Graph *graph, const LayoutProperty *layout, const SizeProperty *size, const DoubleProperty *rotation, const BooleanProperty *selection=NULL)
- TLP_SCOPE std::vector< Coord > tlp::computeConvexHull (const Graph *graph, const LayoutProperty *layout, const SizeProperty *size, const DoubleProperty *rotation, const BooleanProperty *selection=NULL)
- TLP_SCOPE std::vector< Coord > tlp::computeConvexHull (const std::vector< tlp::Coord > &points)
- TLP_SCOPE bool tlp::computeLinesIntersection (const std::pair< tlp::Coord, tlp::Coord > &line1, const std::pair< tlp::Coord, tlp::Coord > &line2, tlp::Coord &intersectionPoint)
- TLP_SCOPE tlp::Coord tlp::computePolygonCentroid (const std::vector< tlp::Coord > &points)

Tulip Software by LaBRI Visualization Team 2001 - 2012